projects
Deploy Project
DeployProject deploys the project to the specified environment using the current files. It processes the files to deploy a new version of the project and updates the underlying connector to integrate the new API.
PUT
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
deploy
Deploy Project
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"versionName": "<string>",
"versionDescription": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy"
payload = {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"versionName": "<string>",
"versionDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{filename: '<string>', content: '<string>'}],
labels: {},
versionName: '<string>',
versionDescription: '<string>'
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'filename' => '<string>',
'content' => '<string>'
]
],
'labels' => [
],
'versionName' => '<string>',
'versionDescription' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy"
payload := strings.NewReader("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publicUrl": "<string>",
"config": {
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
},
"executionPool": "<string>",
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"deployedVersion": {
"id": "<string>",
"name": "<string>",
"state": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"labels": {}
}
}
],
"name": "<string>",
"currentFiles": {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"settings": {
"acceptCodeChangesAutomatically": true,
"testingMockWithAI": true,
"planningChatVersion": "<string>",
"chatStoredInDB": true
},
"metadata": {
"sentimentHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"sentimentScore": 123,
"messageId": "<string>"
}
]
},
"dynamicVariablesSchema": {}
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Authorizations
bearerTokencookie
Body
application/json
Response
OK
The Project represents a deployable unit within our platform that includes both the functional components (files) and configuration. It serves as the backbone of custom or predefined functionalities, allowing organizations to create, update, and manage APIs and projects.
⌘I
Deploy Project
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"versionName": "<string>",
"versionDescription": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy"
payload = {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"versionName": "<string>",
"versionDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{filename: '<string>', content: '<string>'}],
labels: {},
versionName: '<string>',
versionDescription: '<string>'
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'filename' => '<string>',
'content' => '<string>'
]
],
'labels' => [
],
'versionName' => '<string>',
'versionDescription' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy"
payload := strings.NewReader("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content\": \"<string>\"\n }\n ],\n \"labels\": {},\n \"versionName\": \"<string>\",\n \"versionDescription\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publicUrl": "<string>",
"config": {
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
},
"executionPool": "<string>",
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"deployedVersion": {
"id": "<string>",
"name": "<string>",
"state": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"labels": {}
}
}
],
"name": "<string>",
"currentFiles": {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"settings": {
"acceptCodeChangesAutomatically": true,
"testingMockWithAI": true,
"planningChatVersion": "<string>",
"chatStoredInDB": true
},
"metadata": {
"sentimentHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"sentimentScore": 123,
"messageId": "<string>"
}
]
},
"dynamicVariablesSchema": {}
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}